Map = require("ti.map");
var moment = require('alloy/moment');
function openWindow(e) {
	Alloy.createController("popup",{
		gotoPageCallBack : moveToPage
	}).getView().open();
}

for (var i = 0; i < 4; i++) {
	var mountainView = Map.createAnnotation({
		latitude : 22.572646,
		longitude : 88.363895,
		title : "Appcelerator Headquarters",
		subtitle : 'Mountain View, CA',
		pincolor : Map.ANNOTATION_RED,
		myid : 1 // Custom property to uniquely identify this annotation.
	});
	var mapview = Map.createView({
		mapType : Map.NORMAL_TYPE,
		region : {
			latitude : 22.572646,
			longitude : 88.363895,
			latitudeDelta : 0.9,
			longitudeDelta : 0.9
		},
		top : "50",
		animate : true,
		regionFit : true,
		annotations : [mountainView]
	});
	var mapContainer = Titanium.UI.createView({
		width : "80%",
		height : Titanium.UI.FILL,
		touchEnabled : false,
		backgroundColor : "#000000"
	});
	
	
	
	//mapview.addEventListener("complete",completed);
	mapContainer.add(mapview);
	$.svMainView.addView(mapContainer);
	
}
$.lPageNo.text = "Current page is " + $.svMainView.getCurrentPage();
$.index.open();
// function completed(){
// mapview.annotations = [mountainView];
// }

//alert(pickupDate);
function onScrollend(){
	$.lPageNo.text = "Current page is " + $.svMainView.getCurrentPage(); 
}
function moveToPage(id){
	$.svMainView.scrollToView(id);
}
